schema_version: mapper-os/executable-blueprint
name: personal-agent-chat
execution_start: BUILDPRINT.md
machine_contract: blueprint.yaml

blueprint_mode:
  primary: product
  secondary:
    - ui
    - api
    - worker
    - provider
    - agent
    - data
  phase_style: outcome_flow

claim_status:
  default: deterministic_local_only
  blocked_claims:
    - live_provider_behavior
    - real_mcp_interoperability
    - shell_browser_network_safety
    - production_auth_or_billing
    - hosted_saas_or_publishing
    - exact_source_clone_parity

setup_gate:
  questions: 01-questions.md
  project_setup: 02-project-setup.md
  ordinary_blanks: ai_best_judgment
  ask_human_for:
    - irreversible_choices
    - expensive_services
    - credentials_or_secrets
    - destructive_actions
    - product_defining_forks

implementation_loop:
  steps:
    - observe
    - plan
    - execute
    - verify
    - reflect
    - record
  evidence_target: .buildprint/evidence/evidence-ledger.jsonl
  seed_evidence: 05-evidence/evidence-ledger.jsonl

repair_loop:
  proof_gate_failed: current_phase
  architecture_contradiction: 02-project-setup.md
  product_defining_ambiguity: 01-questions.md
  missing_dependency: required_prior_phase
  runtime_evidence_blocker: .buildprint/evidence/evidence-ledger.jsonl
  packet_seed_blocker: 05-evidence/evidence-ledger.jsonl

phases:
  index: 03-phases/phase-index.yaml
  flow: 03-phases/phase-flow.md
  active_phase: 03-phases/01-contracts-storage.md

context:
  product: self-hosted personal agent chat workbench
  source:
    input: clean-room mapped source observations from TheSyart/emperor-agent; live checkout blocked by sandbox DNS during this worker run
    boundary: no source code, UI assets, prompts, copy, or exact clone claims
  required_surfaces:
    - streaming_chat_runtime
    - provider_router
    - tool_registry_policy
    - skill_registry
    - mcp_adapter
    - memory_context_compaction
    - subagent_team_bus
    - token_telemetry
    - webui_api_workbench
    - safety_claim_boundaries

generated_artifacts:
  phase_runs: .buildprint/phase-runs/<phase-id>/
  runtime_evidence: .buildprint/evidence/evidence-ledger.jsonl
  progress: .buildprint/progress.md
  next_agent: .buildprint/next-agent.md
  state: .buildprint/state.json
